<div class="container">
	<div class="row">
		<div class="col-md-12">
			<div class="nyma-news-ticker">

				<div class="nyma-news-ticker-container">
					<ul class='marquee' data-duration='20000' data-gap='30' data-duplicated='true' >
						<?php
							$ticker_cat = nysu_magazine_data('general_ticker_cat',array(0));
							$ticker_post_count = nysu_magazine_data('general_ticker_post_count',6);
							
							$ticker_args = array(
								'ignore_sticky_posts' => 1,
								'cat' => implode( ', ',$ticker_cat) ,
								'posts_per_page' => $ticker_post_count
							);
							$ticker_query = new WP_Query( $ticker_args );
							if( $ticker_query->have_posts() ) {
								
								while( $ticker_query->have_posts() ) {
									$ticker_query->the_post();
						?>			
									<li class="news-ticker-title">
										<a href="<?php the_permalink(); ?>"><?php the_title();?></a> 
										<?php echo '<span>'. get_the_date() . '</span>' . "\n"; ?> 
									</li>
						<?php
								}
								
							}
							wp_reset_postdata();
						?>
					</ul>
					<div class="marquee-headline">
						<?php echo esc_html__( 'BREAKING NEWS' , 'nysu-magazine' ); ?>
					</div>
					<div class="marquee-right">
						
					</div>
				</div>
			</div>
		</div>
	</div>
</div>